Loading...
Searching...
No Matches
OBGraphSym Class Reference

`#include <openbabel/graphsym.h>`

## Public Member Functions

| OBGraphSym (OBMol *pmol, const OBBitVec *frag_atoms=nullptr)
virtual | ~OBGraphSym ()
int | GetSymmetry (std::vector< unsigned int > &symmetry_classes)
void | ClearSymmetry ()

## Static Public Attributes

static const unsigned int | NoSymmetryClass = 0x7FFFFFFF

## Detailed Description

Handle and perceive graph symmtery for canonical numbering .

Since
  version 2.3

## Constructor & Destructor Documentation

## OBGraphSym()

OBGraphSym | ( | OBMol * | pmol,
|  | const OBBitVec * | frag_atoms = nullptr )

Constructor.

## ~OBGraphSym()

~OBGraphSym | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## GetSymmetry()

int GetSymmetry | ( | std::vector< unsigned int > & | symmetry_classes | ) |

Calculate the symmetry classes for the molecule. The result will be stored in `symmetry_classes`.

The results in `symmetry_classes` will be ordered by symmetry classes. Use the OBAtom* pointer in the std::pair to match the atoms with the right symmetry classes.

Returns
  The number of symmetry classes.

Referenced by OpenBabel::FindAutomorphisms(), and OBRotorList::RemoveSymVals().

## ClearSymmetry()

void ClearSymmetry | ( |  | ) |

Clear the symmetry classes data stored in the molecule specified when construting the OBGraphSym object.

Referenced by GetSymmetry().

## Member Data Documentation

## NoSymmetryClass

const unsigned int NoSymmetryClass = 0x7FFFFFFF

static

The documentation for this class was generated from the following files:

- graphsym.h
- graphsym.cpp